ProjectControllerGetProjectRepresentation Method |
POST /Project/GetProjectRepresentation
Get the project representation.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetProjectRepresentation")]
public HttpResponseMessage GetProjectRepresentation(
[FromBodyAttribute] GetProjectRepresentationOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetProjectRepresentation")>
Public Function GetProjectRepresentation (
<FromBodyAttribute> options As GetProjectRepresentationOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetProjectRepresentation")]
HttpResponseMessage^ GetProjectRepresentation(
[FromBodyAttribute] GetProjectRepresentationOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetProjectRepresentation")>]
member GetProjectRepresentation :
[<FromBodyAttribute>] options : GetProjectRepresentationOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetProjectRepresentationOptions
The GetProjectRepresentationOptions class used to configure the method. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
HttpResponseMessage
A list of
ProjectData objects, or a status code indicating the reason for failure.
See Also